@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Teko:wght@300..700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Kaushan+Script&family=Protest+Revolution&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Teko:wght@300..700&display=swap");

.slick-prev:before,
.slick-next:before {
  color: #757575 !important;
}

.main-container {
  background-color: white;
  width: 100%;
  height: auto;
  padding-top: 80px;
}

.main-container-two {
  position: fixed; /* Keeps it full-screen */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; /* Ensures full coverage */
  background-color: white;
  overflow-y: auto; /* Allows scrolling if content is too long */
}

.header {
  position: fixed;
  top: 0;
  width: 100%;
  height: 110px;
  background-color: #f28500;
  z-index: 10;
}

.twenty-years-font {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-size: 25px;
  line-height: 1;
}

.bg-purple-dark {
  background-color: #4b0082;
}

body h3 {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 26px;
  color: white;
}

body p {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: white;
}

body li {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  line-height: 1.5;
  color: white;
}

body h2 {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-size: 40px;
  line-height: 1;
  color: white;
}

body h4 {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-size: 32px;
  line-height: 1;
  color: white;
}

.text-format-secondary {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
}

.text-format {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-size: 18px;
  line-height: 1;
}

.text-format-large {
  font-family: "Teko", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
  font-size: 28px;
  line-height: 1;
}

.button-class-menu {
  padding: 0.6rem 1.2rem;
  color: white;
  background-color: #0c57f0;
  border-radius: 10px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.button-class-menu p {
  font-size: 24px;
  line-height: 0.8;
  margin: 0;
  font-family: "Teko", sans-serif;
  font-weight: 700;
  font-style: normal;
  margin-top: 6px;
}

.button-class {
  padding: 0.6rem 1.2rem;
  color: white !important;
  background-color: #0c57f0 !important;
  border-radius: 10px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  outline: none;
  box-shadow: none;

  background-position: top center;
  cursor: pointer;
}

a {
  color: inherit; /* Keeps the original text color */
  text-decoration: none; /* Removes underline */
}

.contact__info-icon svg {
  fill: none;
  stroke: #0c57f0;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;

  width: 20px;
  height: 20px;
}

a:visited,
a:hover,
a:active,
a:focus {
  color: inherit; /* Prevents color change */
  text-decoration: none; /* Ensures no underline */
}

.button-class p {
  font-size: 25px;
  line-height: 0.8;
  margin: 0;
  font-family: "Teko", sans-serif;
  font-weight: 700;
  font-style: normal;
  padding: 6px;
}

/* .button-class:hover {
  background-color: #42b5f8;
} */

.grey-background-dark {
  background-color: #757575;
}

.grey-background-dark-lightbox {
  background-color: rgba(0, 0, 0, 0.5);
}

.grey-background {
  background-color: #f2f2f2;
}

.blue-background {
  background-color: #0c57f0;
}

.texture-bg-exam-boards {
  background-image: url("../assets/backgroundEquations_a04.png");
  background-size: contain;
  background-position: center center;

  width: 100%;
  overflow: hidden;
}

.texture-bg {
  background-image: url("../assets/backgroundEquations_a04.png");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  width: 100%;
  overflow: hidden;
}

.grey-text {
  color: #4a4a4a;
}

.footer-bg {
  background: linear-gradient(#ed7323 0%, #e69280 100%);
}

.white-bg {
  background-color: white;
}

.blue-text {
  color: #24a2ed;
}

input::placeholder {
  font-size: 18px !important;
}

body h2 {
  font-size: 36px;
}

.fade-in-up {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.3s ease-out, transform 0.7s ease-out;
}

.fade-in-up.visible {
  opacity: 1;
  transform: translateY(0);
}

.button2 {
  position: relative;
  color: white !important;
  border-radius: 10px;
  background-color: #0c57f0;
  background-size: 400%;
  background-position: 0% 0%;
  overflow: hidden;
  z-index: 1;
  transition: background-position 0.4s ease-in-out;
}

.button2::before {
  content: "";
  position: absolute;
  left: -2px;
  top: -2px;
  right: -2px;
  bottom: -2px;
  border-radius: 26px;
  background-image: linear-gradient(
    90deg,
    #0065ff,
    #4245ef,
    #545bc0,
    #48abfc,
    #3a86f8,
    #6942ef
  );
  background-size: 500%;
  background-position: 0% 0%;
  filter: blur(10px);
  opacity: 0;
  z-index: -1;
  transition: opacity 0.2s ease-in-out;
}

.loader {
  font-size: 10px;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  animation: mulShdSpin 1.1s infinite ease;
  transform: translateZ(0);
}
@keyframes mulShdSpin {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #4169e1,
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.2),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.2),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.2),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.5),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.7),
      1.8em -1.8em 0 0em #4169e1, 2.5em 0em 0 0em rgba(65, 105, 225, 0.2),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.2),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.2),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.5),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.7), 2.5em 0em 0 0em #4169e1,
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.2),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.2),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.2),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.5),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.7), 1.75em 1.75em 0 0em #4169e1,
      0em 2.5em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.2),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.2),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.5),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.7), 0em 2.5em 0 0em #4169e1,
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.2),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.2),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.2),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.5),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.7), -1.8em 1.8em 0 0em #4169e1,
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.2),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.2),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.2),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.5),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.7), -2.6em 0em 0 0em #4169e1,
      -1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(65, 105, 225, 0.2),
      1.8em -1.8em 0 0em rgba(65, 105, 225, 0.2),
      2.5em 0em 0 0em rgba(65, 105, 225, 0.2),
      1.75em 1.75em 0 0em rgba(65, 105, 225, 0.2),
      0em 2.5em 0 0em rgba(65, 105, 225, 0.2),
      -1.8em 1.8em 0 0em rgba(65, 105, 225, 0.5),
      -2.6em 0em 0 0em rgba(65, 105, 225, 0.7), -1.8em -1.8em 0 0em #4169e1;
  }
}

.button2:hover {
  animation: gradientRotate 2s infinite;
}

.button2:hover::before {
  opacity: 1;
  animation: gradientRotate 2s infinite;
}

.button2:active {
  color: #c3c4d5;
}

.button2:focus::before {
  opacity: 1;
}

@keyframes gradientRotate {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 100%;
  }
}

@media (min-width: 768px) {
  body h4 {
    font-size: 40px;
  }

  body h2 {
    font-size: 48px;
  }

  body p {
    font-size: 18px;
  }

  input::placeholder {
    font-size: 22px !important;
    padding-left: 10px;
  }

  .button-class {
    padding: 0.2rem 1.5rem;
    color: white !important;
    background-color: #0c57f0 !important;
    border-radius: 10px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
  }

  .button-class p {
    font-size: 30px;
    line-height: 1.2;
    margin: 0;
    font-family: "Teko", sans-serif;
    font-weight: 700;
    font-style: normal;
    margin-top: 6px;
  }

  .button2 {
    position: relative;
    color: white !important;
    border-radius: 10px;
    background-color: #0c57f0;
    background-size: 400%;
    background-position: 0% 0%;
    overflow: hidden;
    z-index: 1;
    transition: background-position 0.4s ease-in-out;
  }

  .main-container {
    background-color: white;
    width: 100%;
    height: auto;
    padding-top: 110px;
  }
}